Name:          jacl
Version:       1.4.1
Release:       %mkrel 3
Summary:       Java Tcl integration
Group:         Development/Java
License:       BSD
Url:           http://tcljava.sourceforge.net/
Source0:       http://sourceforge.net/projects/tcljava/files/jacl/%{version}/jacl%{version}.tar.gz
Patch0:        jacl-1.4.1-jaclsh_in.patch
BuildRequires: janino
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: tcl-devel
BuildRequires: make
Requires:      jpackage-utils
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tcl/Java consists of two pieces of software. Jacl is an implementation of a Tcl interpreter
written entirely in Java. Tcl Blend is a Tcl extension that provides access to Java from inside
Tcl. One can prototype Java code using Tcl, and much more.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Java Tcl integration

This package contains API documentation for %{name}.

%package manual
Group:         Development/Java
Summary:       %{name} documentationo

%description manual
Java Tcl integration.

This package contains %{name} documentation.

%package scripts
Group:         Development/Java
Summary:       Utility scripts for %{name}

%description scripts
Java Tcl integration.

This package contains utility scripts for %{name}.

%prep
%setup -q -n jacl%{version}

%patch0 -p1
mkdir -p build/dist

%build

pushd build
../configure \
  --prefix=$(pwd)/dist \
  --with-jdk=%java_home
make

make install \
  prefix=%{buildroot}%{_prefix} \
  exec_prefix=%{buildroot}%{_prefix} \
  XP_TCLJAVA_INSTALL_DIR=%{buildroot}%{_javadir}/jacl \
  BIN_INSTALL_DIR=%{buildroot}%{_bindir}
popd

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
#install -m 644  src/empty/empty.jar \
#  %{buildroot}%{_javadir}/jacl/empty-%{version}.jar
mkdir -p %{buildroot}%{_javadir}/jacl
install -m 644 build/itcl.jar \
  %{buildroot}%{_javadir}/jacl/itcl-%{version}.jar
install -m 644 build/jacl.jar \
  %{buildroot}%{_javadir}/jacl/jacl-%{version}.jar
install -m 644 build/janino.jar \
  %{buildroot}%{_javadir}/jacl/janino-%{version}.jar
install -m 644 build/tcljava.jar \
  %{buildroot}%{_javadir}/jacl/tcljava-%{version}.jar
install -m 644 build/tjc.jar \
  %{buildroot}%{_javadir}/jacl/tjc-%{version}.jar

install -m 644 build/itclsrc.jar \
  %{buildroot}%{_javadir}/jacl/itclsrc-%{version}.jar
install -m 644 build/jaclsrc.jar \
  %{buildroot}%{_javadir}/jacl/jaclsrc-%{version}.jar
install -m 644 build/janinosrc.jar \
  %{buildroot}%{_javadir}/jacl/janinosrc-%{version}.jar
install -m 644 build/tcljavasrc.jar \
  %{buildroot}%{_javadir}/jacl/tcljavasrc-%{version}.jar
install -m 644 build/tjcsrc.jar \
  %{buildroot}%{_javadir}/jacl/tjcsrc-%{version}.jar

(
  cd %{buildroot}%{_javadir}/jacl
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_bindir}
install -pm 755 build/jaclsh %{buildroot}%{_bindir}
install -pm 755 build/tjc %{buildroot}%{_bindir}
install -pm 755 build/tcljavaConfig.sh %{buildroot}%{_bindir}/

sed -i "s|prefix=%{_builddir}/jacl%{version}/build/dist|prefix=%{_javadir}|" %{buildroot}%{_bindir}/jaclsh
sed -i "s|%{_builddir}/jacl%{version}/build/dist|%{_javadir}|" %{buildroot}%{_bindir}/tcljavaConfig.sh

mkdir -p %{buildroot}%{_sysconfdir}/jacl
install -m 644 build/jdk.cfg %{buildroot}%{_sysconfdir}/jacl/

rm -rf src/tests src/janino
javadoc -d apidocs  \
  -classpath dist/lib/tcljava%{version}/jacl.jar:dist/lib/tcljava%{version}/tcljava.jar \
  -encoding iso-8859-1 \
  `find src -name '*.java'`

mkdir -p %{buildroot}%{_javadocdir}/jacl-%{version}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/jacl-%{version}
ln -s jacl-%{version} %{buildroot}%{_javadocdir}/jacl

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%dir %{_javadir}/jacl
#%{_javadir}/jacl/empty-%{version}.jar
#%{_javadir}/jacl/empty.jar
%{_javadir}/jacl/itcl-%{version}.jar
%{_javadir}/jacl/itcl.jar
%{_javadir}/jacl/jacl-%{version}.jar
%{_javadir}/jacl/jacl.jar
%{_javadir}/jacl/janino-%{version}.jar
%{_javadir}/jacl/janino.jar
%{_javadir}/jacl/tcljava-%{version}.jar
%{_javadir}/jacl/tcljava.jar
%{_javadir}/jacl/tjc-%{version}.jar
%{_javadir}/jacl/tjc.jar
%{_javadir}/jacl/itclsrc-%{version}.jar
%{_javadir}/jacl/itclsrc.jar
%{_javadir}/jacl/jaclsrc-%{version}.jar
%{_javadir}/jacl/jaclsrc.jar
%{_javadir}/jacl/janinosrc-%{version}.jar
%{_javadir}/jacl/janinosrc.jar
%{_javadir}/jacl/tcljavasrc-%{version}.jar
%{_javadir}/jacl/tcljavasrc.jar
%{_javadir}/jacl/tjcsrc-%{version}.jar
%{_javadir}/jacl/tjcsrc.jar
%doc changes.txt ChangeLog diffs.txt 
%doc known_issues.txt license.* README

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/jacl-%{version}
%{_javadocdir}/jacl

%files manual
%defattr(-,root,root)
%doc docs

%files scripts
%defattr(-,root,root)
%dir %{_sysconfdir}/jacl
%config(noreplace) %{_sysconfdir}/jacl/jdk.cfg
%{_bindir}/jaclsh
%{_bindir}/tjc
%{_bindir}/tcljavaConfig.sh



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 506161
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 354665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 dmorgan <dmorgan> 1.4.1-1.mga2
+ Revision: 126117
- Fix buildrequires

  + gil <gil>
    - imported package jacl


* Sun Jun 05 2011 gil <gil> 1.4.1-0.%%mkrel
- initial rpm